Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.persistence
Interface KodoQuery

All Superinterfaces:
  org.apache.openjpa.persistence.OpenJPAQuery, Query, org.apache.openjpa.kernel.QueryFlushModes, org.apache.openjpa.kernel.QueryOperations

Deprecated.

    public interface KodoQuery

extends org.apache.openjpa.persistence.OpenJPAQuery

Redefines OpenJPA Query for backward compatibility with published Kodo-specific 4.0 API.

Since:
  4.1

Field Summary

Fields inherited from interface org.apache.openjpa.kernel.QueryOperations
`OP_DELETE, OP_SELECT, OP_UPDATE`

Fields inherited from interface org.apache.openjpa.kernel.QueryFlushModes
`FLUSH_FALSE, FLUSH_TRUE, FLUSH_WITH_CONNECTION`

Method Summary
`KodoEntityManager` | `getEntityManager()` Deprecated.

Methods inherited from interface org.apache.openjpa.persistence.OpenJPAQuery
`addAggregateListener, addFilterListener, closeAll, compile, getCandidateCollection, getDataStoreActions, getFetchPlan, getFirstResult, getFlushMode, getIgnoreChanges, getLanguage, getMaxResults, getNamedParameters, getOperation, getPositionalParameters, getQueryString, getResultClass, hasPositionalParameters, hasSubclasses, removeAggregateListener, removeFilterListener, setCandidateCollection, setFirstResult, setFlushMode, setHint, setIgnoreChanges, setMaxResults, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter, setParameters, setParameters, setResultClass, setSubclasses`

Methods inherited from interface javax.persistence.Query
`executeUpdate, getResultList, getSingleResult`

Method Detail

### getEntityManager

    KodoEntityManager getEntityManager()

  Deprecated.
  Specified by:
    `getEntityManager` in interface `org.apache.openjpa.persistence.OpenJPAQuery`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.